%global srcname sphinxnotes-mock

Name:           python-%{srcname}
Version:        1.0.2
Release:        0.1%{?dist}
Summary:        Sphinx extension for hiding unsupported directives and roles
License:        BSD-3-Clause
URL:            https://sphinx.silverrainz.me/mock
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch

%global _description %{expand:
Sphinx extension for hiding unsupported directives
and roles without modifying documents.}

%description %_description


%package -n python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l sphinxnotes
find %{buildroot} -type f -name '*-nspkg.pth' -print -delete


%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst


%changelog
* Sat Dec 07 2024 Björn Esser <besser82@fedoraproject.org> - 1.0.2-0.1
- Initial draft for review
